<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <title th:text="#{createStandardEmployer.Title}"></title>

    <object th:replace="fragments/global_includes :: global_includes" th:remove="tag">...</object>
</head>
<body class="nhs-bsa-pensions nhs-bsa">

<div th:replace="fragments/header :: header">...</div>

<main id="content" role="main">

    <div th:replace="fragments/phase_banner :: phase_banner">...</div>
    <div th:replace="fragments/service_header :: logout_only">...</div>

    <div class="grid-row">
        <div class="column-two-thirds">

            <form th:action="@{/create-standard-employer}" method="post" class="form" novalidate="novalidate" id="create-standard-employer-form"  th:object="${standardEmployerUser}">

                <div class="error-summary" th:if="${#fields.hasAnyErrors()} or ${userExists}" id="standard-employer-error-message" role="group" aria-labelledby="error-message-heading" tabindex="-1">
                    <h1 id="error-message-heading" class="heading-medium error-summary-heading">Some questions have not been answered correctly:</h1>
                    <p th:text="#{errorSummary2}" id="error-message-text">Please see the errors below.</p>
                    <ul class="error-summary-list">
                        <li th:if="${#fields.hasErrors('firstName')}"><a href="#standard-employer-firstName" id="standard-employer-error-list1" th:errors="*{firstName}">Descriptive link to the question with an error</a></li>
                        <li th:if="${#fields.hasErrors('lastName')}"><a href="#standard-employer-lastName" id="standard-employer-error-list2" th:errors="*{lastName}">Descriptive link to the question with an error</a></li>
                        <li th:if="${#fields.hasErrors('email')}"><a href="#standard-employer-email" th:text="#{createStandardEmployer.EmailNotValid}"  id="standard-employer-error-list3">Descriptive link to the question with an error</a></li>
                        <li th:if="${#fields.hasErrors('firstPassword')}"><a href="#standard-employer-password"  th:text="#{createStandardEmployer.FirstPasswordNotValid}" id="standard-employer-error-list4">Descriptive link to the question with an error</a></li>
                        <li th:if="${userExists}"><a href="#standard-employer-email" id="standard-employer-error-list5" th:text="#{createStandardEmployer.UserAlreadyExists}">User already exists</a></li>
                    </ul>
                </div>

                <div class="heading-group">
                    <p th:text="#{serviceHeader}" id="service-name-text">Make payments to the NHS Pension Scheme</p>
                    <h1 class="heading-large" id="main-heading" th:text="#{createStandardEmployer.Heading}">Add a new account</h1>
                </div>

                <fieldset>
                    <legend class="visuallyhidden" id="add-account-label" tabindex="-1">Add a new account</legend>
                    <div class="form-group" th:classappend="${#fields.hasErrors('firstName')} ? error : no-error">
                        <label for="forename-of-user" id="standard-employer-first-name-label">
                        <span class="form-label-bold" th:text="#{createStandardEmployer.firstName}" id="standard-employer-first-name-text">First name:</span>
                        <span th:if="${#fields.hasErrors('firstName')}" th:errors="*{firstName}" class="error-message" id="error-message-standard-employer-first-name">Error message</span>
                        </label>
                        <input class="form-control validate-text-input" id="forename-of-user" value="" name="forename-of-user" type="text" th:field="*{firstName}" />
                    </div>
                    <div class="form-group" th:classappend="${#fields.hasErrors('lastName')} ? error : no-error">
                        <label class="form-label-bold" for="surname-of-user">
                            <span class="form-label-bold" th:text="#{createStandardEmployer.lastName}" id="standard-employer-last-name-text">Last name:</span>
                            <span th:if="${#fields.hasErrors('lastName')}" th:errors="*{lastName}" class="error-message" id="error-message-standard-employer-last-name">Error message</span>
                        </label>
                        <input class="form-control validate-text-input" id="surname-of-user" value="" name="surname-of-user" type="text" th:field="*{lastName}" />
                    </div>
                    <div class="form-group" th:classappend="${#fields.hasErrors('email')} or ${userExists} ? error : no-error">
                        <label for="standard-employer-email" id="standard-employer-email-label">
                            <span class="form-label-bold" th:text="#{createStandardEmployer.Email}" id="standard-employer-email-text">Email address of user:</span>
                            <span th:if="${#fields.hasErrors('email')}"  th:error="*{email}" class="error-message" id="error-message-standard-employer-email" th:text="#{createStandardEmployer.EmailNotValid}">Please enter a valid email address</span>
                            <span th:if="${userExists}" class="error-message" id="error-message-standard-employer-user-exists" th:text="#{createStandardEmployer.UserAlreadyExists}">User already exists</span>
                        </label>
                        <input type="email" id="standard-employer-email" value="" name="employer-email" class="form-control validate-text-input" th:field="*{email}" th:classappend="${#fields.hasErrors('email')} ? form-control-error" />
                    </div>
                    <div class="form-group" th:classappend="${#fields.hasErrors('firstPassword')} ? error : no-error">
                        <label for="standard-employer-password" id="standard-employer-password-label">
                            <span class="form-label-bold" th:text="#{createStandardEmployer.FirstPassword}" id="standard-employer-password-text">Initial password:</span>
                            <span th:if="${#fields.hasErrors('firstPassword')}" th:error="*{firstPassword}" class="error-message" id="error-message-standard-employer-password" th:text="#{createStandardEmployer.FirstPasswordNotValid}">Please choose a password containing minimum 12 characters, including numbers, upper and lower case letters</span>
                        </label>
                        <input type="password" id="standard-employer-password" value="" name="employer-password" class="form-control validate-text-input" th:field="*{firstPassword}"  th:classappend="${#fields.hasErrors('firstPassword')} ? form-control-error" />
                    </div>
                </fieldset>

                <div class="form-group" id="add-user-submit-button">
                    <button type="submit" class="button" th:text="#{createStandardEmployer.AddUser}" id="add-user-button">Add user</button>
                </div>
            </form>

        </div>
    </div>

</main>

<div th:replace="fragments/footer :: footer">...</div>
<div th:replace="fragments/scripts :: scripts" th:remove="tag">...</div>

</body>
</html>